Skip to main content
`Ctrl`+`K`

# SVDErrorType

The error type used to assess accuracy of computed solutions.

## Synopsis

    typedef enum { SVD_ERROR_ABSOLUTE,
                   SVD_ERROR_RELATIVE,
                   SVD_ERROR_NORM } SVDErrorType;

## Values

- `SVD_ERROR_ABSOLUTE` - compute error bound as \(\|r\|\)

- `SVD_ERROR_RELATIVE` - compute error bound as \(\|r\|/\sigma\)

- `SVD_ERROR_NORM` - compute error bound as \(\|r\|/\max\{\|A\|,\|B\|\}\)

## Note

The residual norm \(\|r\|\) is actually computed from two parts, such as \(\sqrt{\eta_1^2+\eta_2^2}\) with \(\eta_1 = \|Av-\sigma u\|_2\) and \(\eta_2 = \|A^*u-\sigma v\|_2\), see more details at `SVDComputeError()`. There is also a normalization factor related to the norm of the vectors, which also varies with the problem type.

## See Also

SVD: Singular Value Decomposition, `SVDComputeError()`, `SVDProblemType`

## Level

intermediate

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages